# $Revision: 1.12 $, $Date: 2010/02/16 15:20:14 $
Summary:	Information collector
Summary(pl.UTF-8):	Program do zbierania informacji
Name:		incollector
Version:	1.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://www.incollector.devnull.pl/download/sources/%{name}-%{version}.tar.gz
# Source0-md5:	6701ac13da29119cd6719be3edcf30aa
URL:		http://www.incollector.devnull.pl/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	gettext-devel
BuildRequires:	mono-csharp
BuildRequires:	perl-base
BuildRequires:	pkgconfig
Requires:	dotnet-gtk-sharp2 >= 2.8
Requires:	mono >= 1.2
Requires:	mono-csharp >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Application to collect various kind of Information (like notes,
conversation logs, quotes, serial numbers, source code, webaddresses,
words). All entries can be tagged. Application can also search and
browse entries easly.

%description -l pl.UTF-8
Aplikacja do zbierania różnego rodzaju informacji (jak notatki, logi
rozmów, cytaty, numery seryjne, kody źródłowe, adresy w sieci, słowa).
Wszystkie wpisy mogą być znakowane. Program może wyszukiwać i łatwo
przeglądać wpisy.

%prep
%setup -q
%{__perl} -pi -e 's#> Engine/Defines.cs \\#> Engine/Defines.cs#' src/Makefile.am
%{__perl} -pi -e "s/lib/%{_lib}/" script.in

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# ukrainian is uk
mv $RPM_BUILD_ROOT/%{_datadir}/locale/u{a,k}

%find_lang incollector

%clean
rm -rf $RPM_BUILD_ROOT

%files -f incollector.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}
%{_libdir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_pixmapsdir}/%{name}.ico

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: incollector.spec,v $
Revision 1.12  2010/02/16 15:20:14  pawelz
- don't abuse wildcards in %files
- removed commented-out Source1
- added comment to last changelog: rel 2

Revision 1.11  2010/02/16 14:46:51  ankry
- locale fix
- rel 2

Revision 1.10  2010/02/04 00:15:57  sparky
- BR: gettext-devel

Revision 1.9  2010/02/03 23:59:31  pawelz
- up to 1.2
- no longer need to fix belarussian locale

Revision 1.8  2010/02/03 23:37:24  pawelz
- fixed belarussian locale (s/be-latin/be@latin/)
- unified preamble
- rel 2

Revision 1.7  2007/10/30 20:09:45  jezik
- up to 1.0\n- missing 'few' Requires

Revision 1.6  2007/10/02 16:29:47  darekr
- fix md5, use %find_lang
- BR: perl-base

Revision 1.5  2007/04/21 11:55:17  kolodko
- up to 0.6.1

Revision 1.4  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/28 20:17:27  qboosh
- updated md5, killed undesirable shellglobs

Revision 1.1  2006/11/15 22:25:40  gotar
- initial PLD release
